#!/bin/csh -f 

set APP_PROF_PATH="${1}"
set APP_DIR="${2}"
set PS="${3}"
source ${APP_PROF_PATH}/.cshrc

cd ${APP_PROF_PATH}
./dps_startup_all
$PS | grep -v grep | grep ${APP_DIR}
if ( "$status" == "0" ) then
	exit 0
else
	exit 1	
endif
